--------------------------------------------------------------------------------
-- Tool Bar and Short Bar
-- Original Carnage Contest Weapon
-- Script by DC, August 2009, www.UnrealSoftware.de
--------------------------------------------------------------------------------

-- Setup Tables
if kifferopa==nil then kifferopa={} end
kifferopa.barpack={}
kifferopa.barpack.gfx_wpn={}

-- Load & Prepare Ressources
for i=0,3,1 do
	kifferopa.barpack.gfx_wpn[i+1]=loadgfx("buildings/bar"..i..".bmp")					-- Weapon Image
	kifferopa.barpack.gfx_wpn[i+5]=loadgfx("buildings/barshort"..i..".bmp")
	setmidhandle(kifferopa.barpack.gfx_wpn[i+1])
	setmidhandle(kifferopa.barpack.gfx_wpn[i+5])
end
kifferopa.barpack.sfx_build=loadsfx("buildmetal.ogg")								-- Build Sound
kifferopa.barpack.gfx_icon=loadgfx("buildings/barpack_icon.bmp")
setmidhandle(kifferopa.barpack.gfx_icon)


--------------------------------------------------------------------------------
-- Weapon: Bar
--------------------------------------------------------------------------------

kifferopa.barpack.id=addweapon("kifferopa.barpack","Bar Pack",kifferopa.barpack.gfx_icon,0,1)					-- Add Weapon (3 uses)
kifferopa.barpack.ammo=5
kifferopa.barpack.hudinfo=true

function kifferopa.barpack.draw()		
	-- Draw
	if weapon_shots < kifferopa.barpack.ammo then
		-- HUD Positioning
		hudpositioning(pos_build,kifferopa.barpack.gfx_wpn[weapon_mode],250)
		
		-- HUD Info
		--if(kifferopa.barpack.hudinfo~=false) then
			hudinfo("Press [Space] to rotate the bar!")
		--end
	end
	
	-- HUD ammobar
	if kifferopa.barpack.ammo - weapon_shots  >  0 then
		hudammobar(kifferopa.barpack.ammo - weapon_shots, kifferopa.barpack.ammo)
	end
end

function kifferopa.barpack.attack(attack)		-- Attack
	
	if weapon_mode==0 then
		weapon_mode = 2
	end
	if weapon_timer>0 then
		weapon_timer=weapon_timer-1
	end
	
	if (weapon_shots<=kifferopa.barpack.ammo) and (attack==1) and (weapon_timer==0) then
		-- Rotate
		weapon_timer=5
		kifferopa.barpack.hudinfo=false
		
		if(weapon_mode==4) then
			weapon_mode=1
		elseif(weapon_mode==1) then
			weapon_mode=6
		elseif(weapon_mode==8) then
			weapon_mode=5
		elseif(weapon_mode==5) then
			weapon_mode=2
		else
			weapon_mode=weapon_mode+1
		end	

	end
	if (weapon_shots<=kifferopa.barpack.ammo and weapon_position==1) then
		weapon_position=0
		-- Use weapon and allow to use another one afterwards (1)
		useweapon(1)
		weapon_shots=weapon_shots+1
		-- Draw
		terrainimage(kifferopa.barpack.gfx_wpn[weapon_mode],weapon_x,weapon_y)
		-- Sound
		playsound(kifferopa.barpack.sfx_build)
		
		if(weapon_shots>=kifferopa.barpack.ammo) then
			endturn()
		end
	end
end