--------------------------------------------------------------------------------
-- Weapon Bar
-- Original Carnage Contest Weapon
-- Script by DC, August 2009, www.UnrealSoftware.de
--------------------------------------------------------------------------------

-- Setup Tables
if kifferopa==nil then kifferopa={} end
kifferopa.shortbar={}
kifferopa.shortbar.gfx_wpn={}

-- Load & Prepare Ressources
for i=0,3,1 do
	kifferopa.shortbar.gfx_wpn[i]=loadgfx("buildings/barshort"..i..".bmp")					-- Weapon Image
	setmidhandle(kifferopa.shortbar.gfx_wpn[i])
end
kifferopa.shortbar.sfx_build=loadsfx("buildmetal.ogg")									-- Build Sound

--------------------------------------------------------------------------------
-- Weapon: Bar
--------------------------------------------------------------------------------

kifferopa.shortbar.id=addweapon("kifferopa.shortbar","Short Bar",kifferopa.shortbar.gfx_wpn[0],3)						-- Add Weapon (3 uses)

function kifferopa.shortbar.draw()														-- Draw
	if weapon_shots==0 then
		setscale(0.5,0.5)

		-- HUD Positioning
		hudpositioning(pos_build,kifferopa.shortbar.gfx_wpn[weapon_mode])
		-- HUD Info
		hudinfo("Press [Space] to rotate the bar!")
	end
end

function kifferopa.shortbar.attack(attack)												-- Attack
	if weapon_timer>0 then
		weapon_timer=weapon_timer-1
	end
	if (weapon_shots<=0) and (attack==1) and (weapon_timer==0) then
		-- Rotate
		weapon_timer=15
		weapon_mode=weapon_mode+1
		if weapon_mode>3 then
			weapon_mode=0
		end
	end
	if (weapon_shots<=0) and (weapon_position==1) then
		-- Use weapon and allow to use another one afterwards (1)
		useweapon(1)
		weapon_shots=weapon_shots+1
		-- Draw
		terrainimage(kifferopa.shortbar.gfx_wpn[weapon_mode],weapon_x,weapon_y)
		-- Sound
		playsound(kifferopa.shortbar.sfx_build)
	end
end